/**
 * OW2 Util
 * Copyright (C) 2006-2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IWrappedComponent.java 3403 2008-06-03 17:34:56Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.component.api;

/**
 * Allow to wrap an instance of a component (not implementing any OW2 API) into a component.
 * @author Florent Benoit
 */
public interface IWrappedComponent extends IComponent {

    /**
     * Gets the instance that has been wrapped.
     * @return the internal object.
     */
    Object getWrappedComponent();
}
